"""
Collection of utils for testing
"""

import bornagain as ba
from bornagain import deg, angstrom


# TODO rather use test::makeSimulation::MiniGISAS
def get_simulation_MiniGISAS(sample):
    n = 25
    detector = ba.SphericalDetector(n, -2*deg, 2*deg, n, 0, 2*deg)
    beam = ba.Beam(1., 1*angstrom, ba.Direction(0.2*deg, 0))
    return ba.ScatteringSimulation(beam, sample, detector)
